> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.wodup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List competitions



## OpenAPI

````yaml get /api/public/competitions
openapi: 3.0.0
info:
  title: WodUp Public API
  version: '0.1'
servers:
  - description: Development / testing server
    url: https://api.wodup.dev
    variables: {}
security:
  - authorization: []
tags: []
paths:
  /api/public/competitions:
    get:
      tags:
        - competitions
      summary: List competitions
      operationId: WodUpWeb.PublicApi.CompetitionController.index
      parameters:
        - description: |
            **Only used by platform integrations**  
            ID of gym to execute on behalf of
          example: gym_123abc
          in: header
          name: wodup-gym
          required: false
          schema:
            type: string
        - description: >-
            A limit on the number of objects to be returned. Limit can range
            between 1 and 100, and the default is 10.
          example: 50
          in: query
          name: limit
          required: false
          schema:
            default: 10
            maximum: 100
            minimum: 1
            type: integer
        - description: >-
            A cursor for use in pagination. `after_cursor` is an object ID that
            defines your place in the list. For instance, if you make a list
            request and receive 100 objects, ending with `obj_foo`, your
            subsequent call can include `after_cursor=obj_foo` in order to fetch
            the next page of the list.
          example: ath_abcdef
          in: query
          name: after_cursor
          required: false
          schema:
            type: string
        - description: >-
            A cursor for use in pagination. `before_cursor` is an object ID that
            defines your place in the list. For instance, if you make a list
            request and receive 100 objects, starting with `obj_bar`, your
            subsequent call can include `before_cursor=obj_bar` in order to
            fetch the previous page of the list.
          example: ath_abcdef
          in: query
          name: before_cursor
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCompetitionsResponse'
          description: list competitions response
      callbacks: {}
components:
  schemas:
    ListCompetitionsResponse:
      example:
        - description: <h1>Welcome to our Competition</h1>
          divisions:
            - events:
                - ce_123abc
              females_required: null
              id: cd_123abc
              kind: individual
              males_required: null
              name: Division name
              order: 0
              registration_count: 0
              registration_limit: null
              team_size: null
              visible: true
          events:
            - deadline: null
              deadline_buffer: 0
              foundations_workout: null
              id: ce_123abc
              instructions: null
              kind: individual
              name: Event name
              order: 0
              released_at: null
              scaled_workout: null
              score_visibility: immediate
              tie_break: none
              visible: true
              workout:
                description: Back Squat 5 reps
                details:
                  movements:
                    - id: mv_fT0m3viH
                      load: null
                      reps: '5'
                  rest:
                    type: as_needed
                  type: Strength
                movements:
                  - complex_details: null
                    description: null
                    has_calories: false
                    has_distance: false
                    has_duration: false
                    has_height: false
                    has_load: true
                    has_power: false
                    has_reps: true
                    id: mv_fT0m3viH
                    name: Back Squat
                    source: wodup
                    video:
                      id: dQw4w9WgXcQ
                      service: youtube
                name: null
                type: Strength
          id: comp_123abc
          name: Competition name
          registration_closes_at: null
          registration_opens_at: '2000-01-01T00:00:00Z'
          status: published
          time_zone: America/NewYork
          video_url: https://www.youtube.com/watch?v=C0DPdy98e4c
      items:
        $ref: '#/components/schemas/Competition'
      title: ListCompetitionsResponse
      type: array
    Competition:
      description: A competition at your organization
      example:
        description: <h1>Welcome to our Competition</h1>
        divisions:
          - events:
              - ce_123abc
            females_required: null
            id: cd_123abc
            kind: individual
            males_required: null
            name: Division name
            order: 0
            registration_count: 0
            registration_limit: null
            team_size: null
            visible: true
        events:
          - deadline: null
            deadline_buffer: 0
            foundations_workout: null
            id: ce_123abc
            instructions: null
            kind: individual
            name: Event name
            order: 0
            released_at: null
            scaled_workout: null
            score_visibility: immediate
            tie_break: none
            visible: true
            workout:
              description: Back Squat 5 reps
              details:
                movements:
                  - id: mv_fT0m3viH
                    load: null
                    reps: '5'
                rest:
                  type: as_needed
                type: Strength
              movements:
                - complex_details: null
                  description: null
                  has_calories: false
                  has_distance: false
                  has_duration: false
                  has_height: false
                  has_load: true
                  has_power: false
                  has_reps: true
                  id: mv_fT0m3viH
                  name: Back Squat
                  source: wodup
                  video:
                    id: dQw4w9WgXcQ
                    service: youtube
              name: null
              type: Strength
        id: comp_123abc
        name: Competition name
        registration_closes_at: null
        registration_opens_at: '2000-01-01T00:00:00Z'
        status: published
        time_zone: America/NewYork
        video_url: https://www.youtube.com/watch?v=C0DPdy98e4c
      properties:
        description:
          description: Competition description
          type: string
        divisions:
          description: List of divisions in the competition
          items:
            $ref: '#/components/schemas/Division'
          type: array
        events:
          description: List of events in the competition
          items:
            $ref: '#/components/schemas/Event'
          type: array
        id:
          description: Competition ID
          type: string
        name:
          description: Competition name
          type: string
        registration_closes_at:
          description: When competition registration closes. ISO8601 timestamp in UTC
          format: timestamptz
          type: string
        registration_opens_at:
          description: When competition registration opens. ISO8601 timestamp in UTC
          format: timestamptz
          type: string
        status:
          description: Competition status
          enum:
            - published
            - draft
          type: string
        time_zone:
          description: Competition time zone
          type: string
        video_url:
          description: Competition video URL
          type: string
      required:
        - id
        - name
        - description
        - status
        - time_zone
        - divisions
        - events
      title: Competition
      type: object
    Division:
      description: A division in a competition
      properties:
        events:
          description: List of events in this division
          items:
            description: Event ID
            type: string
          type: array
        females_required:
          description: Required number of female participants
          type: integer
        id:
          description: Division ID
          type: string
        kind:
          description: Division kind
          enum:
            - team
            - individual
          type: string
        males_required:
          description: Required number of male participants
          type: integer
        name:
          description: Division name
          type: string
        order:
          description: Division order
          type: integer
        registration_count:
          description: Division registration count
          type: integer
        registration_limit:
          description: Division registration limit
          type: integer
        team_size:
          description: Division team size
          type: integer
        visible:
          description: Division visibility
          type: boolean
      required:
        - id
        - name
        - kind
        - order
        - registration_count
        - events
      title: Division
      type: object
    Event:
      description: An event in a competition
      properties:
        deadline:
          description: Score logging deadline
          format: timestamptz
          type: string
        deadline_buffer:
          description: Score logging deadline buffer
          type: integer
        foundations_workout:
          description: Workout object
          example:
            description: Back Squat 5 reps
            details:
              movements:
                - id: mv_fT0m3viH
                  load: null
                  reps: '5'
              rest:
                type: as_needed
              type: Strength
            movements:
              - complex_details: null
                description: null
                has_calories: false
                has_distance: false
                has_duration: false
                has_height: false
                has_load: true
                has_power: false
                has_reps: true
                id: mv_fT0m3viH
                name: Back Squat
                source: wodup
                video:
                  id: dQw4w9WgXcQ
                  service: youtube
            name: null
            type: Strength
          properties:
            description:
              description: A human readable description of the workout
              type: string
            details:
              description: '[View details](./types)'
              format: json
              type: string
            movements:
              description: Movement objects referenced by this workout
              items:
                $ref: '#/components/schemas/Movement'
              type: array
            name:
              description: An official name for the workout
              type: string
            type:
              description: Workout type
              enum:
                - Amrap
                - Cardio
                - CardioIntervals
                - DeathBy
                - Emom
                - Fgb
                - ForTime
                - FranStyle
                - Generic
                - MaxReps
                - RoundsForTime
                - Strength
                - Tabata
                - TwelveDays
                - WarmUp
              type: string
          required:
            - type
            - description
            - details
            - movements
          title: Workout
          type: object
        id:
          description: Event ID
          type: string
        instructions:
          description: Event instructions
          type: string
        kind:
          description: Division kind
          enum:
            - team
            - individual
          type: string
        name:
          description: Event name
          type: string
        order:
          description: Event order
          type: integer
        released_at:
          description: Event release time.
          format: timestamptz
          type: integer
        scaled_workout:
          description: Workout object
          example:
            description: Back Squat 5 reps
            details:
              movements:
                - id: mv_fT0m3viH
                  load: null
                  reps: '5'
              rest:
                type: as_needed
              type: Strength
            movements:
              - complex_details: null
                description: null
                has_calories: false
                has_distance: false
                has_duration: false
                has_height: false
                has_load: true
                has_power: false
                has_reps: true
                id: mv_fT0m3viH
                name: Back Squat
                source: wodup
                video:
                  id: dQw4w9WgXcQ
                  service: youtube
            name: null
            type: Strength
          properties:
            description:
              description: A human readable description of the workout
              type: string
            details:
              description: '[View details](./types)'
              format: json
              type: string
            movements:
              description: Movement objects referenced by this workout
              items:
                $ref: '#/components/schemas/Movement'
              type: array
            name:
              description: An official name for the workout
              type: string
            type:
              description: Workout type
              enum:
                - Amrap
                - Cardio
                - CardioIntervals
                - DeathBy
                - Emom
                - Fgb
                - ForTime
                - FranStyle
                - Generic
                - MaxReps
                - RoundsForTime
                - Strength
                - Tabata
                - TwelveDays
                - WarmUp
              type: string
          required:
            - type
            - description
            - details
            - movements
          title: Workout
          type: object
        score_visibility:
          description: When can scores be seen
          enum:
            - immediate
            - deadline
            - athlete
          type: string
        tie_break:
          description: Tie break calculation
          enum:
            - none
            - time_desc
            - time_asc
          type: string
        visible:
          description: Event visibility
          type: boolean
        workout:
          description: Workout object
          example:
            description: Back Squat 5 reps
            details:
              movements:
                - id: mv_fT0m3viH
                  load: null
                  reps: '5'
              rest:
                type: as_needed
              type: Strength
            movements:
              - complex_details: null
                description: null
                has_calories: false
                has_distance: false
                has_duration: false
                has_height: false
                has_load: true
                has_power: false
                has_reps: true
                id: mv_fT0m3viH
                name: Back Squat
                source: wodup
                video:
                  id: dQw4w9WgXcQ
                  service: youtube
            name: null
            type: Strength
          properties:
            description:
              description: A human readable description of the workout
              type: string
            details:
              description: '[View details](./types)'
              format: json
              type: string
            movements:
              description: Movement objects referenced by this workout
              items:
                $ref: '#/components/schemas/Movement'
              type: array
            name:
              description: An official name for the workout
              type: string
            type:
              description: Workout type
              enum:
                - Amrap
                - Cardio
                - CardioIntervals
                - DeathBy
                - Emom
                - Fgb
                - ForTime
                - FranStyle
                - Generic
                - MaxReps
                - RoundsForTime
                - Strength
                - Tabata
                - TwelveDays
                - WarmUp
              type: string
          required:
            - type
            - description
            - details
            - movements
          title: Workout
          type: object
      required:
        - id
        - order
        - visible
        - name
        - kind
        - tie_break
        - score_visibility
        - deadline_buffer
        - workout
      title: Event
      type: object
    Movement:
      description: Movement object
      properties:
        complex_details:
          description: Movements in this complex
          items:
            properties:
              movement_id:
                description: Movement id
                type: string
              reps:
                description: Number of reps to perform
                type: integer
            required:
              - movement_id
              - reps
            type: object
          type: array
        description:
          description: Movement instructions / description
          type: string
        has_calories:
          description: Does this movement involve calories. E.g. Row
          type: boolean
        has_distance:
          description: Does this movement involve distance. E.g. Row
          type: boolean
        has_duration:
          description: Does this movement involve duration. E.g. Row or Weighted Plank Hold
          type: boolean
        has_height:
          description: Does this movement involve height. E.g. Box Jumps
          type: boolean
        has_load:
          description: >-
            Does this movement involve load. E.g. Back Squat or Weighted Plank
            Hold
          type: boolean
        has_power:
          description: Does this movement involve power. E.g. Row
          type: boolean
        has_reps:
          description: Does this movement involve reps. E.g. Push-Up or Back Squat
          type: boolean
        id:
          description: Movement ID
          type: string
        name:
          description: Movement name
          type: string
        source:
          description: >-
            Whether this movement is from the global WodUp library or a custom
            movement
          enum:
            - wodup
            - custom
          type: string
        video:
          properties:
            id:
              description: Video id
              type: string
            service:
              description: Video service
              enum:
                - vimeo
                - youtube
              type: string
          required:
            - id
            - service
          type: object
      title: Movement
      type: object
  securitySchemes:
    authorization:
      scheme: basic
      type: http

````